Skip to main content

Amplitude full reference

This is the full reference documentation for the Amplitude agent connector.

Supported entities and actions

The Amplitude connector supports the following entities and actions.

EntityActions
AnnotationsList, Get, Search
CohortsList, Get, Search
Events ListList, Search
Active UsersList, Search
Average Session LengthList, Search

Annotations

Annotations List

Returns all chart annotations for the project.

Python SDK

await amplitude.annotations.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "annotations",
"action": "list"
}'
Response Schema

Records

Field NameTypeDescription
idinteger
datenull | string
detailsnull | string
labelnull | string

Annotations Get

Retrieves a single chart annotation by ID.

Python SDK

await amplitude.annotations.get(
annotation_id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "annotations",
"action": "get",
"params": {
"annotation_id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
annotation_idintegerYesThe ID of the annotation to retrieve
Response Schema

Records

Field NameTypeDescription
idinteger
startnull | string
endnull | string
labelnull | string
detailsnull | string
categorynull | object
chart_idnull | string

Search and filter annotations records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await amplitude.annotations.search(
query={"filter": {"eq": {"date": "<str>"}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "annotations",
"action": "search",
"params": {
"query": {"filter": {"eq": {"date": "<str>"}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
datestringThe date when the annotation was made
detailsstringAdditional details or information related to the annotation
idintegerThe unique identifier for the annotation
labelstringThe label assigned to the annotation
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].datestringThe date when the annotation was made
data[].detailsstringAdditional details or information related to the annotation
data[].idintegerThe unique identifier for the annotation
data[].labelstringThe label assigned to the annotation

Cohorts

Cohorts List

Returns all cohorts for the project.

Python SDK

await amplitude.cohorts.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "cohorts",
"action": "list"
}'
Response Schema

Records

Field NameTypeDescription
appIdnull | integer
archivednull | boolean
chart_idnull | string
createdAtnull | integer
definitionnull | object
descriptionnull | string
edit_idnull | string
finishednull | boolean
hiddennull | boolean
idnull | string
is_official_contentnull | boolean
is_predictivenull | boolean
lastComputednull | integer
lastModnull | integer
last_viewednull | integer
location_idnull | string
metadatanull | array
namenull | string
ownersnull | array
popularitynull | integer
publishednull | boolean
shortcut_idsnull | array
sizenull | integer
typenull | string
view_countnull | integer
viewersnull | array
include_data_app_typesnull | array
per_app_metadatanull | object
cohort_definition_typenull | string
cohort_output_typenull | string
is_generated_contentnull | boolean

Cohorts Get

Retrieves a single cohort by ID.

Python SDK

await amplitude.cohorts.get(
cohort_id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "cohorts",
"action": "get",
"params": {
"cohort_id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
cohort_idstringYesThe ID of the cohort to retrieve
Response Schema

Records

Field NameTypeDescription
appIdnull | integer
archivednull | boolean
chart_idnull | string
createdAtnull | integer
definitionnull | object
descriptionnull | string
edit_idnull | string
finishednull | boolean
hiddennull | boolean
idnull | string
is_official_contentnull | boolean
is_predictivenull | boolean
lastComputednull | integer
lastModnull | integer
last_viewednull | integer
location_idnull | string
metadatanull | array
namenull | string
ownersnull | array
popularitynull | integer
publishednull | boolean
shortcut_idsnull | array
sizenull | integer
typenull | string
view_countnull | integer
viewersnull | array
include_data_app_typesnull | array
per_app_metadatanull | object
cohort_definition_typenull | string
cohort_output_typenull | string
is_generated_contentnull | boolean

Search and filter cohorts records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await amplitude.cohorts.search(
query={"filter": {"eq": {"appId": 0}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "cohorts",
"action": "search",
"params": {
"query": {"filter": {"eq": {"appId": 0}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
appIdintegerThe unique identifier of the application
archivedbooleanIndicates if the cohort data is archived
chart_idstringThe identifier of the chart associated with the cohort
createdAtintegerThe timestamp when the cohort was created
definitionobjectThe specific definition or criteria for the cohort
descriptionstringA brief explanation or summary of the cohort
edit_idstringThe ID for editing purposes or version control
finishedbooleanIndicates if the cohort data has been finalized
hiddenbooleanFlag to determine if the cohort is hidden from view
idstringThe unique identifier for the cohort
is_official_contentbooleanIndicates if the cohort data is official content
is_predictivebooleanFlag to indicate if the cohort is predictive
lastComputedintegerTimestamp of the last computation of cohort data
lastModintegerTimestamp of the last modification made to the cohort
last_viewedintegerTimestamp when the cohort was last viewed
location_idstringIdentifier of the location associated with the cohort
metadataarrayAdditional information or data related to the cohort
namestringThe name or title of the cohort
ownersarrayThe owners or administrators of the cohort
popularityintegerPopularity rank or score of the cohort
publishedbooleanStatus indicating if the cohort data is published
shortcut_idsarrayIdentifiers of any shortcuts associated with the cohort
sizeintegerSize or scale of the cohort data
typestringThe type or category of the cohort
view_countintegerThe total count of views on the cohort data
viewersarrayUsers or viewers who have access to the cohort data
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].appIdintegerThe unique identifier of the application
data[].archivedbooleanIndicates if the cohort data is archived
data[].chart_idstringThe identifier of the chart associated with the cohort
data[].createdAtintegerThe timestamp when the cohort was created
data[].definitionobjectThe specific definition or criteria for the cohort
data[].descriptionstringA brief explanation or summary of the cohort
data[].edit_idstringThe ID for editing purposes or version control
data[].finishedbooleanIndicates if the cohort data has been finalized
data[].hiddenbooleanFlag to determine if the cohort is hidden from view
data[].idstringThe unique identifier for the cohort
data[].is_official_contentbooleanIndicates if the cohort data is official content
data[].is_predictivebooleanFlag to indicate if the cohort is predictive
data[].lastComputedintegerTimestamp of the last computation of cohort data
data[].lastModintegerTimestamp of the last modification made to the cohort
data[].last_viewedintegerTimestamp when the cohort was last viewed
data[].location_idstringIdentifier of the location associated with the cohort
data[].metadataarrayAdditional information or data related to the cohort
data[].namestringThe name or title of the cohort
data[].ownersarrayThe owners or administrators of the cohort
data[].popularityintegerPopularity rank or score of the cohort
data[].publishedbooleanStatus indicating if the cohort data is published
data[].shortcut_idsarrayIdentifiers of any shortcuts associated with the cohort
data[].sizeintegerSize or scale of the cohort data
data[].typestringThe type or category of the cohort
data[].view_countintegerThe total count of views on the cohort data
data[].viewersarrayUsers or viewers who have access to the cohort data

Events List

Events List List

Returns the list of event types with the current week's totals, unique users, and percentage of DAU.

Python SDK

await amplitude.events_list.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "events_list",
"action": "list"
}'
Response Schema

Records

Field NameTypeDescription
autohiddennull | boolean
clusters_hiddennull | boolean
deletednull | boolean
displaynull | string
flow_hiddennull | boolean
hiddennull | boolean
idnumber
in_waitroomnull | boolean
namenull | string
non_activenull | boolean
timeline_hiddennull | boolean
totalsnull | number
totals_deltanull | number
valuenull | string
waitroom_approvednull | boolean

Search and filter events list records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await amplitude.events_list.search(
query={"filter": {"eq": {"autohidden": True}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "events_list",
"action": "search",
"params": {
"query": {"filter": {"eq": {"autohidden": True}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
autohiddenbooleanWhether the event is auto-hidden
clusters_hiddenbooleanWhether the event is hidden from clusters
deletedbooleanWhether the event is deleted
displaystringDisplay name of the event
flow_hiddenbooleanWhether the event is hidden from Pathfinder
hiddenbooleanWhether the event is hidden
idnumberUnique identifier for the event type
in_waitroombooleanWhether the event is in the waitroom
namestringName of the event type
non_activebooleanWhether the event is marked as inactive
timeline_hidden`booleannumber`
totalsnumberTotal number of times the event occurred this week
totals_deltanumberChange in totals from the previous period
valuestringRaw event name in the data
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].autohiddenbooleanWhether the event is auto-hidden
data[].clusters_hiddenbooleanWhether the event is hidden from clusters
data[].deletedbooleanWhether the event is deleted
data[].displaystringDisplay name of the event
data[].flow_hiddenbooleanWhether the event is hidden from Pathfinder
data[].hiddenbooleanWhether the event is hidden
data[].idnumberUnique identifier for the event type
data[].in_waitroombooleanWhether the event is in the waitroom
data[].namestringName of the event type
data[].non_activebooleanWhether the event is marked as inactive
data[].timeline_hidden`booleannumber`
data[].totalsnumberTotal number of times the event occurred this week
data[].totals_deltanumberChange in totals from the previous period
data[].valuestringRaw event name in the data

Active Users

Active Users List

Returns the number of active or new users for each day in the specified date range.

Python SDK

await amplitude.active_users.list(
start="<str>",
end="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "active_users",
"action": "list",
"params": {
"start": "<str>",
"end": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
startstringYesFirst date included in data series, formatted YYYYMMDD (e.g. 20220101)
endstringYesLast date included in data series, formatted YYYYMMDD (e.g. 20220131)
m"active" | "new"NoEither 'new' or 'active' to get the desired count. Defaults to 'active'.
i1 | 7 | 30NoEither 1, 7, or 30 for daily, weekly, and monthly counts. Defaults to 1.
gstringNoThe property to group by (e.g. country, city, platform).
Response Schema

Records

Field NameTypeDescription
seriesnull | array
seriesCollapsednull | array
seriesLabelsnull | array
seriesMetanull | array
xValuesnull | array

Search and filter active users records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await amplitude.active_users.search(
query={"filter": {"eq": {"date": "<str>"}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "active_users",
"action": "search",
"params": {
"query": {"filter": {"eq": {"date": "<str>"}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
datestringThe date for which the active user data is reported
statisticsobjectThe statistics related to the active users for the given date
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].datestringThe date for which the active user data is reported
data[].statisticsobjectThe statistics related to the active users for the given date

Average Session Length

Average Session Length List

Returns the average session length (in seconds) for each day in the specified date range.

Python SDK

await amplitude.average_session_length.list(
start="<str>",
end="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "average_session_length",
"action": "list",
"params": {
"start": "<str>",
"end": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
startstringYesFirst date included in data series, formatted YYYYMMDD (e.g. 20220101)
endstringYesLast date included in data series, formatted YYYYMMDD (e.g. 20220131)
Response Schema

Records

Field NameTypeDescription
seriesnull | array
seriesCollapsednull | array
seriesMetanull | array
xValuesnull | array

Search and filter average session length records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await amplitude.average_session_length.search(
query={"filter": {"eq": {"date": "<str>"}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "average_session_length",
"action": "search",
"params": {
"query": {"filter": {"eq": {"date": "<str>"}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
datestringThe date on which the session occurred
lengthnumberThe duration of the session in seconds
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].datestringThe date on which the session occurred
data[].lengthnumberThe duration of the session in seconds